Get TTD/TTV/TTR/TTC metrics for a case
curl --request GET \
--url https://api.wirespeed.co/v1/cases/{id}/metrics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.wirespeed.co/v1/cases/{id}/metrics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.wirespeed.co/v1/cases/{id}/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ttdSeconds": 123,
"ttvMilliseconds": 123,
"ttrMilliseconds": 123,
"ttcSeconds": 123
}Cases
Get TTD/TTV/TTR/TTC metrics for a case
GET
/
v1
/
cases
/
{id}
/
metrics
Get TTD/TTV/TTR/TTC metrics for a case
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Case identifier
Response
Time to detect for this case, in seconds
Time to verdict for this case, in milliseconds
Time to remediate for this case, in milliseconds
Time to close for this case, in seconds
⌘I

